<template>
  <div class="profile-badge" id="main-profile-badge">
    <div class="profile-img">
      <img
        v-if="!user.profileImageUrl"
        src="~@/assets/images/avatar.svg"
        alt="Profile Image"
        style="height: 40px; border-radius: 10px"
      />
      <img
        v-else
        :src="user.profileImageUrl"
        alt="Profile Image"
        style="height: 40px; border-radius: 10px"
      />
    </div>
    <div class="profile-details">
      <p class="hello">Welcome,</p>
      <p class="profile-name text-capitalize">
        {{ `${user.firstName} ${user.surname}` }}
      </p>
    </div>
    <div class="arrow">
      <div class="dropdown">
        <svg
          class="dropdown-toggle"
          type="button"
          id="dropdownMenuButton1"
          data-bs-toggle="dropdown"
          width="11"
          height="7"
          viewBox="0 0 11 7"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
        >
          <path
            d="M9.41016 1.2439L5.41016 5.2439L1.41016 1.2439"
            stroke="#1E1F20"
            stroke-width="2"
            stroke-linecap="round"
            stroke-linejoin="round"
          />
        </svg>
        <ul class="dropdown-menu">
          <li>
            <a class="dropdown-item" href="/user/dashboard/overview">
              Dashboard
            </a>
          </li>
          <li>
            <a class="dropdown-item" href="/user/dashboard/profile">
              Profile
            </a>
          </li>
          <li>
            <a
              class="dropdown-item m-0"
              href="/user/dashboard/transaction-pin/set-security-questions"
              >Set Transaction PIN</a
            >
          </li>
          <li>
            <a
              class="dropdown-item m-0"
              href="/user/dashboard/profile/change-password"
              >Change Password</a
            >
          </li>
          <li>
            <a
              class="dropdown-item m-0"
              href="/user/dashboard/transaction-pin/reset-trasaction-pin"
              >Reset Pin</a
            >
          </li>
          <li>
            <a class="dropdown-item m-0" href="/user/dashboard/profile/support"
              >Support</a
            >
          </li>
          <li>
            <a class="dropdown-item text-danger m-0" @click="logout">Logout</a>
          </li>
        </ul>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  mounted() {},
  computed: {
    user() {
      return this.$store.getters['auth/user']
    },
  },
  methods: {
    logout() {
      localStorage.removeItem('core-bank-client-v1')
      this.$store.commit('auth/LOGOUT', '/')
    },
  },
}
</script>

<style lang="scss">
@import '~@/assets/scss/index';
@import '~@/assets/scss/variables';

.swith-profile-badge-color {
  .hello {
    color: #fff !important;
    transition: all 0.25s ease;
  }
  .profile-name {
    transition: all 0.25s ease;
    color: #fff !important;
  }
}

.profile-badge {
  display: flex;
  align-items: center;
  .dropdown-menu {
    position: absolute !important;
    left: -140px;
    top: 20px;
  }
  .profile-details {
    margin-left: 5px;
    p {
      margin: 0;
    }
    .hello {
      font-style: normal;
      font-size: 11px;
      color: #9a9a9b;
    }
    .profile-name {
      font-style: normal;
      font-weight: bold;
      font-size: 14px;
      color: #002b43;
    }
  }
  .arrow {
    margin-left: 15px;
    cursor: pointer;
  }
}
</style>
